J_GET_ALL_PAIRS(3)

FUNCTION
j_get_all_pairs - Get all the key-value pairs on an associative array.

SYNOPSIS
#include <karma_j.h>

KJoinedPair * j_get_all_pairs

(KJoinedPairList list, unsigned int *num_pairs)

DESCRIPTION
Get all the key-value pairs on an associative array.

list
    The associative array.

num_pairs
    The number of pairs found is written here. If no pairs are found NULL is written here.

RETURN VALUE
An array of key-value pairs on success, else NULL. If <<num_pairs>> is non-zero, an error occurred.

Multi-threading Level
Unsafe.

NOTE
The return value must be freed with the <<free>> function, not the <-m_free-> function.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/